We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request POST \
--url https://api.kinsta.com/v2/sites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"display_name": "First site",
"region": "us-central1",
"install_mode": "new",
"admin_email": "[email protected]",
"admin_password": "vJnFnN-~v)PxF[6k",
"admin_user": "admin",
"site_title": "My First Site",
"wp_language": "en_US",
"is_subdomain_multisite": false,
"is_multisite": false,
"woocommerce": false,
"wordpressseo": false
}
'{
"message": "Adding site in progress",
"status": 202,
"operation_id": "sites:add-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}curl --request POST \
--url https://api.kinsta.com/v2/sites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"display_name": "First site",
"region": "us-central1",
"install_mode": "new",
"admin_email": "[email protected]",
"admin_password": "vJnFnN-~v)PxF[6k",
"admin_user": "admin",
"site_title": "My First Site",
"wp_language": "en_US",
"is_subdomain_multisite": false,
"is_multisite": false,
"woocommerce": false,
"wordpressseo": false
}
'{
"message": "Adding site in progress",
"status": 202,
"operation_id": "sites:add-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
"First site"
"us-central1"
new, plain, clone "new"
"vJnFnN-~v)PxF[6k"
"admin"
"My First Site"
"en_US"
false
false
false
false